### Function

# Fwupd Request from_variant

since: 1.6.2

#### Declaration [src]

    FwupdRequest*
    fwupd_request_from_variant (
      GVariant* value
    )

#### Description [src]

Creates a new request using serialized data.

Available since: 1.6.2

#### Parameters

`value`

  Type: `GVariant`

  The serialized data.

  The data is owned by the caller of the function.

#### Return value

Type: `FwupdRequest`

A new `FwupdRequest`, or `NULL` if `value` was invalid.

The caller of the function takes ownership of the data, and is responsible for freeing it.